summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2015-11-09 07:17:05 +0100
committerHans de Graaff <graaff@gentoo.org>2015-11-09 07:20:55 +0100
commit93539223482b65b37418e3d2d5f6c02576cdff90 (patch)
tree9baa4cf47c15e05e27a43add7dc39fbd1112ec9f /dev-ruby/shoulda
parentdev-ruby/bunny: add 2.2.1 (diff)
downloadgentoo-93539223482b65b37418e3d2d5f6c02576cdff90.tar.gz
gentoo-93539223482b65b37418e3d2d5f6c02576cdff90.tar.bz2
gentoo-93539223482b65b37418e3d2d5f6c02576cdff90.zip
dev-ruby/shoulda: add slot to shoulda-matchers dependency
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'dev-ruby/shoulda')
-rw-r--r--dev-ruby/shoulda/shoulda-3.5.0-r2.ebuild34
1 files changed, 34 insertions, 0 deletions
diff --git a/dev-ruby/shoulda/shoulda-3.5.0-r2.ebuild b/dev-ruby/shoulda/shoulda-3.5.0-r2.ebuild
new file mode 100644
index 00000000000..abd59256600
--- /dev/null
+++ b/dev-ruby/shoulda/shoulda-3.5.0-r2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby19 ruby20 ruby21"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Making tests easy on the fingers and eyes"
+HOMEPAGE="http://thoughtbot.com/projects/shoulda"
+SRC_URI="https://github.com/thoughtbot/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="3"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64"
+IUSE=""
+
+# This now more or less a meta-gem and it only contains features for
+# integration tests using Appraisals, which we don't currently package.
+RESTRICT=test
+
+ruby_add_rdepend ">=dev-ruby/shoulda-context-1.0.1
+ >=dev-ruby/shoulda-matchers-1.4.1:0"
+
+all_ruby_prepare() {
+ sed -e '/git ls-files/d' -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}